AOZ Studio Beta - Bug #890

Every time Print is called, a portion of the top line of the screen is cleared

02/10/2022 11:56 AM - Brian Flanagan

Status: Closed Start date: 02/10/2022
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 1:00 hour
Target version: none

Affected version: 1.0.0 (B12) u19

Description

The current location of the text cursor is ignored. It SHOULD be clearing the area that is just about to be printed
The area cleared always starts at 0,0, and is the same length as whatever was just printed.

History

#1 - 02/11/2022 11:14 PM - David Baldwin

- Status changed from New to Resolved

Resolved by reverting to pre-rewrite of printLine function.

#2 - 02/17/2022 07:16 AM - Brian Flanagan

- Status changed from Resolved to Closed

Verified. It's working now! ...in the latest B12 version.

#3 - 04/08/2022 08:42 AM - Francois Lionet

Fixed for good: there was a remaining ClearRect in the printLine function.
